Package org.apache.commons.compress.harmony.unpack200

# Class CpBands

java.lang.Object
org.apache.commons.compress.harmony.unpack200.BandSet
org.apache.commons.compress.harmony.unpack200.CpBands

public class CpBands extends BandSet
Constant Pool bands.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `header, segment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CpBands(Segment segment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CPClass`
  `cpClassValue(int index)`
  `CPClass`
  `cpClassValue(String string)`
  `CPDouble`
  `cpDoubleValue(int index)`
  `CPFieldRef`
  `cpFieldValue(int index)`
  `CPFloat`
  `cpFloatValue(int index)`
  `CPInterfaceMethodRef`
  `cpIMethodValue(int index)`
  `CPInteger`
  `cpIntegerValue(int index)`
  `CPLong`
  `cpLongValue(int index)`
  `CPMethodRef`
  `cpMethodValue(int index)`
  `CPNameAndType`
  `cpNameAndTypeValue(int index)`
  `CPNameAndType`
  `cpNameAndTypeValue(String descriptor)`
  `CPUTF8`
  `cpSignatureValue(int index)`
  `CPString`
  `cpStringValue(int index)`
  `CPUTF8`
  `cpUTF8Value(int index)`
  `CPUTF8`
  `cpUTF8Value(String string)`
  `CPUTF8`
  `cpUTF8Value(String string, boolean searchForIndex)`
  `SegmentConstantPool`
  `getConstantPool()`
  `String[]`
  `getCpClass()`
  `String[]`
  `getCpDescriptor()`
  `int[]`
  `getCpDescriptorNameInts()`
  `int[]`
  `getCpDescriptorTypeInts()`
  `String[]`
  `getCpFieldClass()`
  `String[]`
  `getCpIMethodClass()`
  `int[]`
  `getCpInt()`
  `long[]`
  `getCpLong()`
  `String[]`
  `getCpMethodClass()`
  `String[]`
  `getCpMethodDescriptor()`
  `String[]`
  `getCpSignature()`
  `String[]`
  `getCpUTF8()`
  `void`
  `read(InputStream in)`
  Reads the input stream.
  `void`
  `unpack()`
  Unpacks this instance.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CpBands

    public CpBands(Segment segment)

- ## Method Details

  - ### cpClassValue

    public CPClass cpClassValue(int index)

  - ### cpClassValue

    public CPClass cpClassValue(String string)

  - ### cpDoubleValue

    public CPDouble cpDoubleValue(int index)

  - ### cpFieldValue

    public CPFieldRef cpFieldValue(int index)

  - ### cpFloatValue

    public CPFloat cpFloatValue(int index)

  - ### cpIMethodValue

    public CPInterfaceMethodRef cpIMethodValue(int index)

  - ### cpIntegerValue

    public CPInteger cpIntegerValue(int index)

  - ### cpLongValue

    public CPLong cpLongValue(int index)

  - ### cpMethodValue

    public CPMethodRef cpMethodValue(int index)

  - ### cpNameAndTypeValue

    public CPNameAndType cpNameAndTypeValue(int index)

  - ### cpNameAndTypeValue

    public CPNameAndType cpNameAndTypeValue(String descriptor)

  - ### cpSignatureValue

    public CPUTF8 cpSignatureValue(int index)

  - ### cpStringValue

    public CPString cpStringValue(int index)

  - ### cpUTF8Value

    public CPUTF8 cpUTF8Value(int index)

  - ### cpUTF8Value

    public CPUTF8 cpUTF8Value(String string)

  - ### cpUTF8Value

    public CPUTF8 cpUTF8Value(String string, boolean searchForIndex)

  - ### getConstantPool

    public SegmentConstantPool getConstantPool()

  - ### getCpClass

    public String[] getCpClass()

  - ### getCpDescriptor

    public String[] getCpDescriptor()

  - ### getCpDescriptorNameInts

    public int[] getCpDescriptorNameInts()

  - ### getCpDescriptorTypeInts

    public int[] getCpDescriptorTypeInts()

  - ### getCpFieldClass

    public String[] getCpFieldClass()

  - ### getCpIMethodClass

    public String[] getCpIMethodClass()

  - ### getCpInt

    public int[] getCpInt()

  - ### getCpLong

    public long[] getCpLong()

  - ### getCpMethodClass

    public String[] getCpMethodClass()

  - ### getCpMethodDescriptor

    public String[] getCpMethodDescriptor()

  - ### getCpSignature

    public String[] getCpSignature()

  - ### getCpUTF8

    public String[] getCpUTF8()

  - ### read

    public void read(InputStream in) throws IOException, Pack200Exception
    Description copied from class: `BandSet`
    Reads the input stream.
    Specified by:
      `read` in class `BandSet`
    Parameters:
      `in` - the stream to read.
    Throws:
      `IOException` - if a problem occurs during reading from the underlying stream.
      `Pack200Exception` - if a problem occurs with an unexpected value or unsupported Codec.

  - ### unpack

    public void unpack()
    Description copied from class: `BandSet`
    Unpacks this instance.
    Specified by:
      `unpack` in class `BandSet`